Subject: [bug#47214] [core-updates] gnu: python: Remove unnecessary files

From: Julien Lepiller <[email-masked]>
Date: Thu, 3 Jun 2021 03:56:38 +0200

Le Fri, 19 Mar 2021 13:27:06 +0100,
Ludovic Courtès <[email-masked]> a écrit :

> > From 0d2d9a32cbbf24eadf74271b2fb1304b7a72d281 Mon Sep 17 00:00:00
> > 2001 From: Julien Lepiller <[email-masked]>
> > Date: Wed, 17 Mar 2021 13:33:22 +0100
> > Subject: [PATCH 1/2] gnu: python: Remove unnecessary files.
> >
> > * gnu/packages/python.scm (python2)[arguments]: Remove files built
> > during the test phase.
> > (python3)[arguments]: Also remove windows binaries shipped with the
> > sources.  
> 
> Unless it causes bootstrapping issues, I recommend removing those
> files from a snippet so that ‘guix build -S python’ returns the
> cleaned-up source.
> 
> WDYT?
> 
> Thanks,
> Ludo’.

Hi, sorry for the late reply. I need to use unzip on these files to
remove some of their content, and rezip them later. How can I do that
from a snippet?